

# Import "api" for local connection and thumbnail features:
import api

import time

# Make a thumbnail.
# The input is demo.png (could be any thumbnailable document)
# The output is thumbnail.jpg (always a JPEG)
# The image fits into a 200 pixel square.
api.Thumbnail('demo.png', "thumbnail.jpg", 200)

poll_counter = 0

# Local connection implementation from
# http://osflash.org/localconnection
while True:
    poll_counter += 1

    # You have to call this function in order to send & receive
    # local connection messages:
    api.LocalConn_Poll()


    # Messages that come in are received like this:
    msg = api.Receive_Message() 
    if ( msg == None ):
        # No message received this time
        # Leave some time between polls
        time.sleep(0.3)
    else:
        print poll_counter
        print 'Message received: ', msg
        api.Send_Message('You said: ' + msg)


